events.listen('recipes', function (e) {


/**********************************************Smelting************************************/
     function Smelting (Tag, Ingots, Exp ,Time) 
   e.custom({"type": "minecraft:smelting",
             "ingredient": {"tag": Tag},
             "result": Ingots,"experience": Exp,
             "cookingtime": Time})

             
     Smelting('forge:dusts/brass','create:brass_ingot',0, 200)
     Smelting('forge:ores/ardite','kubejs:ardite_ingot',0.5, 200) 
     Smelting('crushed:ore/ardite','kubejs:ardite_ingot',0.1, 200) 
     Smelting('forge:dusts/ardite','kubejs:ardite_ingot',0, 200) 
     Smelting('forge:ores/cobalt','tconstruct:cobalt_ingot',0.5, 200)  
     Smelting('crushed:ore/cobalt','tconstruct:cobalt_ingot',0.1, 200) 
     Smelting('forge:ores/uranium','mekanism:ingot_uranium',0.5, 200) 
     Smelting('forge:dusts/cobalt','tconstruct:cobalt_ingot',0, 200)
     Smelting('forge:dusts/manyullyn','tconstruct:manyullyn_ingot',0, 200)
     Smelting('forge:dusts/blazing_copper','tinkers_reforged:blazing_copper_ingot',0, 200)
     Smelting('crushed:ore/falsite','blue_skies:falsite_ingot',0.1, 200)
     Smelting('crushed:ore/horizonite','blue_skies:horizonite_ingot',0.1, 200)
     Smelting('crushed:ore/ventium','blue_skies:ventium_ingot',0.1, 200)

     /*******************************Block***************************************************************/

     Smelting('forge:storage_blocks/raw_cobalt','tconstruct:cobalt_block',2, 600)
     Smelting('forge:storage_blocks/raw_zinc','create:zinc_block',2, 600)
     Smelting('forge:storage_blocks/raw_ardite','kubejs:ardite_block',2, 600) 
     Smelting('forge:storage_blocks/raw_aluminum','immersiveengineering:storage_aluminum',2, 600)
     Smelting('forge:storage_blocks/raw_silver','thermal:silver_block',2, 600)
     Smelting('forge:storage_blocks/raw_copper','thermal:copper_block',2, 600)
     Smelting('forge:storage_blocks/raw_tin','thermal:tin_block',2, 600)
     Smelting('forge:storage_blocks/raw_nickel','thermal:nickel_block',2, 600)
     Smelting('forge:storage_blocks/raw_lead','thermal:lead_block',2, 600)
     Smelting('forge:storage_blocks/raw_iron','minecraft:iron_block',2, 600)
     Smelting('forge:storage_blocks/raw_gold','minecraft:gold_block',2, 600)
     Smelting('forge:storage_blocks/raw_osmium','mekanism:block_osmium',2, 600)   
     Smelting('forge:storage_blocks/raw_uranium','mekanism:block_uranium',2, 600)
     Smelting('forge:storage_blocks/raw_falsite','blue_skies:falsite_block',2, 600)
     Smelting('forge:storage_blocks/raw_horizonite','blue_skies:horizonite_block',2, 600)
     Smelting('forge:storage_blocks/raw_ventium','blue_skies:ventium_block',2, 600)
     Smelting('forge:storage_blocks/raw_aquite','blue_skies:aquite_block',2, 600)
     Smelting('forge:storage_blocks/raw_charoite','blue_skies:charoite_block',2, 600)




/**********************************************Blasting*****************************/
     function Blasting (Tag ,Ingots, Exp, Time) 
   e.custom({"type": "minecraft:blasting",
             "ingredient": {"tag": Tag},
             "result": Ingots,"experience": Exp,
             "cookingtime": Time})

     Blasting('forge:storage_blocks/raw_zinc','create:zinc_block',2, 500)
     Blasting('forge:ores/ardite','kubejs:ardite_ingot', 0.5, 100)
     Blasting('crushed:ore/ardite','kubejs:ardite_ingot',0.1, 100)
     Blasting('forge:storage_blocks/raw_ardite','kubejs:ardite_block',2, 500)   
     Blasting('forge:ores/cobalt','tconstruct:cobalt_ingot', 0.5, 100)
     Blasting('crushed:ore/cobalt','tconstruct:cobalt_ingot',0.1, 200)
     Blasting('forge:storage_blocks/raw_cobalt','tconstruct:cobalt_block',2, 500)
     Blasting('forge:dusts/ardite','kubejs:ardite_ingot', 0, 100)  
     Blasting('forge:dusts/cobalt','tconstruct:cobalt_ingot', 0, 100)
     Blasting('forge:dusts/blazing_copper','tinkers_reforged:blazing_copper_ingot',0, 100)
     Blasting('forge:ores/uranium','mekanism:ingot_uranium',0.5, 100)
     Blasting('crushed:ore/falsite','blue_skies:falsite_ingot',0.1, 200)
     Blasting('crushed:ore/horizonite','blue_skies:horizonite_ingot',0.1, 200)
     Blasting('crushed:ore/ventium','blue_skies:ventium_ingot',0.1, 200)

/******************************************************Block**********************************/

     Blasting('forge:storage_blocks/raw_aluminum','immersiveengineering:storage_aluminum',2, 500)
     Blasting('forge:storage_blocks/raw_silver','thermal:silver_block',2, 500)
     Blasting('forge:storage_blocks/raw_copper','thermal:copper_block',2, 500)
     Blasting('forge:storage_blocks/raw_tin','thermal:tin_block',2, 500)
     Blasting('forge:storage_blocks/raw_nickel','thermal:nickel_block',2, 500)
     Blasting('forge:storage_blocks/raw_lead','thermal:lead_block',2, 500)
     Blasting('forge:storage_blocks/raw_iron','minecraft:iron_block',2, 500)
     Blasting('forge:storage_blocks/raw_gold','minecraft:gold_block',2, 500)
     Blasting('forge:storage_blocks/raw_osmium','mekanism:block_osmium',2, 500)   
     Blasting('forge:storage_blocks/raw_uranium','mekanism:block_uranium',2, 500)
     Blasting('forge:storage_blocks/raw_falsite','blue_skies:falsite_block',2, 500)
     Blasting('forge:storage_blocks/raw_horizonite','blue_skies:horizonite_block',2, 500)
     Blasting('forge:storage_blocks/raw_ventium','blue_skies:ventium_block',2, 500)
     Blasting('forge:storage_blocks/raw_aquite','blue_skies:aquite_block',2, 500)
     Blasting('forge:storage_blocks/raw_charoite','blue_skies:charoite_block',2, 500)  
   
     //Stone x1 Smelting//
   e.custom({
     "type": "minecraft:smelting",
     "ingredient": {"item": "excompressum:compressed_cobblestone"},
     "result": "compressium:stone_1","experience": 1,
     "cookingtime": 300})

     //Quartz Glass Smelting//
   e.custom({
     "type": "minecraft:smelting",
     "ingredient": {"item": "minecraft:quartz_block"},
     "result": "betternether:quartz_glass","experience": 0.2,
     "cookingtime": 300})

     //Quartz Glass Blasting//
   e.custom({
     "type": "minecraft:blasting",
     "ingredient": {"item": "minecraft:quartz_block"},
     "result": "betternether:quartz_glass","experience": 0.2,
     "cookingtime": 200})

     //Manyerium Smelting// 
     e.custom({
     "type": "minecraft:smelting",
     "ingredient": {"item": "berseria_sky:manyerium_dust"},
     "result": "berseria_sky:manyerium_ingot","experience": 0.2,
     "cookingtime": 400})

     //Manyerium Blasting// 
     e.custom({
          "type": "minecraft:blasting",
          "ingredient": {"item": "berseria_sky:manyerium_dust"},
          "result": "berseria_sky:manyerium_ingot","experience": 0.2,
          "cookingtime": 300})

     //Fayronium Smelting// 
     e.custom({
          "type": "minecraft:smelting",
          "ingredient": {"item": "berseria_sky:fayronium_dust"},
          "result": "berseria_sky:fayronium_ingot","experience": 0.2,
          "cookingtime": 400})

     //Fayronium Blasting// 
     e.custom({
          "type": "minecraft:blasting",
          "ingredient": {"item": "berseria_sky:fayronium_dust"},
          "result": "berseria_sky:fayronium_ingot","experience": 0.2,
          "cookingtime": 400})
          

     //Queens Steel Smelting// 
     e.custom({
          "type": "minecraft:smelting",
          "ingredient": {"item": "berseria_sky:queens_steel_dust"},
          "result": "berseria_sky:queens_steel_ingot","experience": 0.2,
          "cookingtime": 400})

     //Queens Steel Blasting// 
     e.custom({
          "type": "minecraft:blasting",
          "ingredient": {"item": "berseria_sky:queens_steel_dust"},
          "result": "berseria_sky:queens_steel_ingot","experience": 0.2,
          "cookingtime": 300})

     //Manronium Steel Smelting// 
     e.custom({
          "type": "minecraft:smelting",
          "ingredient": {"item": "berseria_sky:manronium_steel_dust"},
          "result": "berseria_sky:manronium_steel_ingot","experience": 0.2,
          "cookingtime": 600})
          

     //Manronium Steel Blasting// 
     e.custom({
          "type": "minecraft:blasting",
          "ingredient": {"item": "berseria_sky:manronium_steel_dust"},
          "result": "berseria_sky:manronium_steel_ingot","experience": 0.2,
          "cookingtime": 500})

     //HOP//
     e.custom({
          "type": "betterendforge:alloying",
          "ingredients": [
            {"item": "immersiveengineering:dust_hop_graphite"},
            {"item": "immersiveengineering:dust_hop_graphite"}
          ],
          "result": {"item": "immersiveengineering:ingot_hop_graphite",
            "count": 3},
          "experience": 2.1
        })

     function ChestCraft(log, chest, number)
     e.custom({ 
     "type": "minecraft:crafting_shaped",
     "pattern": ["###","# #","###"],
     "key": {"#": {"item": log}},
     "result": {"item": chest,"count": number},})

     ChestCraft('minecraft:acacia_log','quark:acacia_chest',4)
     ChestCraft('minecraft:acacia_planks','quark:acacia_chest',1)
     ChestCraft('minecraft:dark_oak_log','quark:dark_oak_chest',4)
     ChestCraft('minecraft:dark_oak_planks','quark:dark_oak_chest',1)
     ChestCraft('minecraft:crimson_stem','quark:crimson_chest',4)
     ChestCraft('minecraft:crimson_planks','quark:crimson_chest',1)
     ChestCraft('minecraft:warped_stem','quark:warped_chest',4)
     ChestCraft('minecraft:warped_planks','quark:warped_chest',1)
     ChestCraft('minecraft:oak_log','minecraft:chest',4)
     ChestCraft('minecraft:oak_planks','minecraft:chest',1)
     ChestCraft('minecraft:spruce_log','quark:spruce_chest',4)
     ChestCraft('minecraft:spruce_planks','quark:spruce_chest',1)
     ChestCraft('minecraft:birch_log','quark:birch_chest',4)
     ChestCraft('minecraft:birch_planks','quark:birch_chest',1)
     ChestCraft('minecraft:jungle_log','quark:jungle_chest',4)
     ChestCraft('minecraft:jungle_planks','quark:jungle_chest',1)



})